/**
 * Created by Administrator on 2021/4/5.
 */
define(['jquery', "template", "Tools", "paging", 'dateTime', 'swiper'], function ($, template, Tools) {
    //数据存储
    var module = {
        data: {
            propertyList:'',
            treeselect:[{
                value:100,
                label:'全部'
            }],
            treeselectSecond:[{
                value:100,
                label:'全部'
            }]
        },
    };
    var tools = new Tools();

    module.init = function (page) {
        //资产列表
        tools.doGet(resourceList, {
            deptId: 187,
            translate_dict: 1,
            pageNum: 1,
            pageSize: 10,
        }, module.assetList , true);


        tools.doGet(treeselect, {}, module.treeselect , true);
        tools.doGet(webList, {}, module.webList , true);
        tools.doGet(webDeptType+'use_code', {}, module.webDeptType , true);

    };

    module.webDeptType = function (data) {
        if (data.code == 200) {
            var content = data.data;
            module.data.useType = content;
            var useTypeData = template('useTypeData', module.data);
            $("#useTypeContent").html(useTypeData);
        }
    }

    module.webList = function (data) {
        if (data.code == 200) {
            var content = data.rows;
            module.data.webList = content;
            var webData = template('webData', module.data);
            $("#webContent").html(webData);
            var titData = template('titData', module.data);
            $("#titContent").html(titData);
        }
    }

    module.assetList = function (data) {
        if (data.code == 200) {
            var content = data.rows;
            if (module.data.propertyList == '') {
                var page_s1 = createPage('.page_s1');
                //设置分页
                setPage(page_s1, {
                    pageTotal: data.total, // 数据总条数
                    pageSize: 10,    // 每页显示条数
                    pageCurrent: 1,  //  当前页
                    maxBtnNum: 5,   // 最多按钮个数  （最少5个）
                })
            }
            module.data.propertyList = content;
            // $('#page_s1').html('共' + 10 + '页')
            var propertyData = template('propertyData', module.data);
            $("#propertyContent").html(propertyData);
        }
    }

    openDialog = function(id){
        tools.doGet(resourceGet+id, {translate_dict: 1}, module.assetDetail , true);
    }

    closeDialog = function(id){
        $('#dialog').css('display','none');
    }

    module.assetDetail = function(data){
        if (data.code == 200) {
            var content = data.data;
            module.data.propertyDetail = content;
            tools.doGet(attachmentList, {
                tableId:content.id,
                tableName: 't_asset_resource',
                bizPath: 'asset'
            }, module.attachmentDetail , true);
            // var propertyDetailData = template('propertyDetailData', module.data);
            // $("#propertyDetailContent").html(propertyDetailData);
            // $('#dialog').css('display','block');
        }
    }

    module.attachmentDetail = function(data){
        if (data.code == 200) {
            var content = data.rows;
            var attachmentList = [];
            content.map(res=>{
                if (res.fileName.indexOf('png')>-1||res.fileName.indexOf('jpg')>-1){
                    attachmentList.push(res);
                }
            })
            module.data.attachment = attachmentList;
            var propertyDetailData = template('propertyDetailData', module.data);
            $("#propertyDetailContent").html(propertyDetailData);
            $('#dialog').css('display','block');
        }
    }

    module.treeselect = function(data){
        if (data.code == 200) {
            var content = data.data[0].children;
            content.map(res=>{
                module.data.treeselect.push(res)
            })
            // module.data.treeselect = content[0].children;
            var treeselectData = template('treeselectData', module.data);
            $("#treeselectContent").html(treeselectData);
            var treeselectSecondData = template('treeselectSecondData', module.data);
            $("#treeselectSecondContent").html(treeselectSecondData);
        }
    }

    selectChange = function(){
        // tools.doGet(treeselectSecond+$('#treeselectContent').val(), {}, module.selectSecondChange , true);
        module.data.treeselectSecond = module.data.treeselect.filter(function (e) { return e.value == $('#treeselectContent').val(); })[0].children;
        var treeselectSecondData = template('treeselectSecondData', module.data);
        $("#treeselectSecondContent").html(treeselectSecondData);

        selectSecondChange();
    }

    selectSecondChange = function(){
        $('.page_s1').html('');
        module.data.propertyList = "";
        tools.doGet(resourceList, {
            deptId: $('#treeselectSecondContent').val(),
            translate_dict: 1,
            pageNum: 1,
            pageSize: 10,
        }, module.assetList , true);
        //资产列表
        // tools.doGet(assetList, {
        //     deptId: $('#treeselectSecondContent').val(),
        //     useType: $('#useTypeContent').val() == null ? 1 : $('#useTypeContent').val(),
        //     operationType: 1,
        //     translate_dict: 1,
        //     pageNum: 1,
        //     pageSize: 10,
        //     orderByColumn: 'code',
        //     isAsc: 'asc',
        // }, module.assetList , true);
    }

    useTypeChange = function () {
        $('.page_s1').html('');
        module.data.propertyList = "";
        tools.doGet(resourceList, {
            deptId: $('#treeselectSecondContent').val() == null ? 100 : $('#treeselectSecondContent').val(),
            useCode:$('#useTypeContent').val(),
            translate_dict: 1,
            pageNum: 1,
            pageSize: 10,
        }, module.assetList , true);
    }

    turnThePage = function (pageNum) {
        tools.doGet(resourceList, {
            deptId: 187,
            translate_dict: 1,
            pageNum: pageNum,
            pageSize: 10,
        }, module.assetList , true);
    }

    return module;
});